Name: recap
Version: 2.1.0
Release:    1%{?dist}
Summary: Generates reports of various system information
License: GPLv2
URL: https://github.com/rackerlabs/recap
Source0: https://github.com/rackerlabs/recap/archive/%{version}/recap-%{version}.tar.gz
BuildArch: noarch
Requires: iotop
Requires: iproute
Requires: procps-ng
Requires: psmisc
Requires: sysstat >= 9
Recommends: elinks

BuildRequires: make
BuildRequires: systemd
Requires: systemd
Provides: rs-sysmon = %{version}-%{release}


%description
This program is intended to be used as a companion for the reporting provided
by sysstat. It will create a set of reports summarizing hardware resource
utilization. The script also provides optional reporting on Apache, MySQL, and
network connections.


%prep
%autosetup

%install
export PREFIX=%{_prefix}
export DESTDIR=%{buildroot}
make install-base
make install-man
make install-systemd



%posttrans
if [ -f /etc/recap.rpmsave ]; then
    mv -vf /etc/recap.conf /etc/recap.conf.rpmnew
    mv -vf /etc/recap.rpmsave /etc/recap.conf
fi


%files
%license COPYING
%doc README.md CHANGELOG.md
%dir %{_localstatedir}/log/recap
%dir %{_localstatedir}/log/recap/backups
%dir %{_localstatedir}/log/recap/snapshots
%{_sbindir}/recap
%{_sbindir}/recaplog
%{_sbindir}/recaptool
%{_unitdir}/recap.service
%{_unitdir}/recaplog.service
%{_unitdir}/recap-onboot.service
%{_unitdir}/recap.timer
%{_unitdir}/recaplog.timer
%{_unitdir}/recap-onboot.timer

%config(noreplace) %{_sysconfdir}/recap.conf
%{_mandir}/man5/recap.conf.5.gz
%{_mandir}/man8/recap.8.gz
%{_mandir}/man8/recaplog.8.gz
%{_mandir}/man8/recaptool.8.gz

%{_prefix}/lib/recap/core/fdisk
%{_prefix}/lib/recap/core/mysql
%{_prefix}/lib/recap/core/netstat
%{_prefix}/lib/recap/core/ps
%{_prefix}/lib/recap/core/pstree
%{_prefix}/lib/recap/core/resources
%{_prefix}/lib/recap/core/send_mail

%{_prefix}/lib/recap/plugins-available/docker_top
%{_prefix}/lib/recap/plugins-available/http_status
%{_prefix}/lib/recap/plugins-available/kernel_cmd
%{_prefix}/lib/recap/plugins-available/redis
%{_prefix}/lib/recap/plugins-available/system_locks
%dir %{_prefix}/lib/recap/plugins-enabled


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1.0-1
- initial build
